package com.nisum.asegers.spring_web_flux_assignment.custom_flux_classes;

import com.nisum.asegers.spring_web_flux_assignment.model.Person;
import reactor.core.publisher.Flux;

public class CustomFluxClassesDemo {
    public static void main(String[] args) {
        // ----- MySubscriber -----
        Flux<String> namesFlux = Flux.just("Albert N", "Bob D", "Cassidy K", "David G");
        Flux<Person> peopleFlux = namesFlux.map(name -> new Person(name.split(" ")[0], name.split(" ")[1]));
        peopleFlux.subscribe(new MySubscriber<>());
    }
}
